Skip to main content

[GET] /external/v1/withdrawal-intents

Overview

Returns a paginated list of withdrawal intents for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Query Parameters

NameTypeRequiredDescription
statusInWithdrawalIntentStatusNoFilter by one or more withdrawal intent statuses. Use , to separate multiple status values, such as reviewing,completed.

This endpoint also supports pagination query parameters, including page and size. See Pagination.

Response

Returns an ApiResponse<WithdrawalIntent[]>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
pagingobjectPagination metadata. See Pagination.
dataWithdrawalIntent[]Withdrawal intents returned for the requested page.

Example Request

GET /external/v1/withdrawal-intents?page=1&size=20

Example Response

{
"code": "ok",
"message": "Ok.",
"paging": {
"size": 20,
"page": 1,
"count": 2,
"limit": 20,
"totalCount": 2,
"totalPages": 1
},
"data": [
{
"id": "WI_rSCtIlp0",
"wallet": {
"id": "WT0ir6F1",
"type": "merchant_wallet"
},
"transaction": null,
"destination": {
"type": "crypto",
"rail": "tron",
"routingCode": "tron:nile",
"identifier": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"status": "preparing",
"serviceFeeMode": "inclusive",
"amount": "15.0000000000000000",
"amountFee": "1.0000000000000000",
"amountNet": "14.0000000000000000",
"amountGross": "15.0000000000000000",
"submittedAt": "2026-05-21T15:24:36.468Z",
"finalizedAt": null,
"createdAt": "2026-05-21T15:24:36.468Z",
"updatedAt": "2026-05-21T15:24:41.496Z"
},
{
"id": "WI_74dBD7X2",
"wallet": {
"id": "WT0ir6F1",
"type": "merchant_wallet"
},
"transaction": {
"type": "blockchain",
"provider": "tron",
"blockchain": {
"chainId": "tron:nile",
"hash": "64d5d51b23eff2ce6c04094474aa84068e0b2493e6dc830a524577b85d3258b4",
"fromAddress": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5",
"toAddress": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"legs": [
{
"type": "principal",
"currencyCode": "USDT",
"amount": "999.000000000000000000"
},
{
"type": "network_fee",
"currencyCode": "TRX",
"amount": "0.378000000000000000"
}
]
},
"destination": {
"type": "crypto",
"rail": "tron",
"routingCode": "tron:nile",
"identifier": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"status": "completed",
"serviceFeeMode": "inclusive",
"amount": "1000.0000000000000000",
"amountFee": "1.0000000000000000",
"amountNet": "999.0000000000000000",
"amountGross": "1000.0000000000000000",
"submittedAt": "2026-05-13T23:56:36.364Z",
"finalizedAt": "2026-05-13T23:57:51.334Z",
"createdAt": "2026-05-13T23:56:36.364Z",
"updatedAt": "2026-05-13T23:57:51.334Z"
}
]
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid statusIn value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.

Example Validation Error

{
"code": "bad_request",
"message": "each value in statusIn must be one of the following values: pending, completed, failed, cancelled",
"data": null
}